Bug 1002148 - gnuradio-devel package is missing a dependency on boost-devel.
gnuradio-devel package is missing a dependency on boost-devel.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnuradio (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 10:08 EDT by dave.null
Modified: 2014-02-06 22:07 EST (History)
3 users (show)

See Also:
Fixed In Version: gnuradio-3.7.2.1-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 22:07:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dave.null 2013-08-28 10:08:57 EDT
Description of problem:

Some GNU Radio headers provided by gnuradio-devel (ex: /usr/include/gruel/thread.h) requires boost headers.

Version-Release number of selected component (if applicable):
gnuradio-devel-3.6.5-2.fc18.x86_64


Steps to Reproduce:
1. Start from a newly installed system (that does not have boost-devel installed)
2. Install gnuradio-devel
3. Try to build a program that requires gnuradio-devel (ex: gqrx)

Actual results:
Compilation fails.  The package boost-devel has to be manually installed.

Expected results:
Installing gnuradio-devel should bring boost-devel as dependency.
Comment 1 Fedora End Of Life 2013-12-21 09:32:00 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora Update System 2014-01-03 16:51:53 EST
gnuradio-3.7.2.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnuradio-3.7.2.1-2.fc20
Comment 3 Fedora Update System 2014-01-04 14:54:31 EST
Package gnuradio-3.7.2.1-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnuradio-3.7.2.1-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0201/gnuradio-3.7.2.1-2.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-01-07 05:07:44 EST
gnuradio-3.7.2.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gnuradio-3.7.2.1-3.fc20
Comment 5 Fedora Update System 2014-01-09 04:48:23 EST
gnuradio-3.7.2.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-0407/gnuradio-3.7.2.1-3.fc20
Comment 6 Fedora Update System 2014-02-06 22:07:35 EST
gnuradio-3.7.2.1-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.